1. Tags
Leadfeeder API
  • Leadfeeder API
  • Authentication
  • Getting Started
  • Rate Limits
  • Relationships
  • Company ID Lifecycle
  • OpenAPI Specification Access
  • List of NACE / WZ codes
  • List of Industries
  • AI & MCP (Beta)
    • Overview of the Leadfeeder MCP Server
    • Quickstart
    • Connect your AI tool
    • Authentication and permissions
  • Account
    • List Accounts
  • Companies
    • Get Company Details
    • Update a Company
    • Retrieve Companies
    • Company Financial Reports
    • Retrieve Company IPs
    • Search Company Signals
    • Search Companies
    • Match Companies
    • Add Company to Lists
    • Remove Company from Lists
    • Assign Tags to Company
    • Unassign Tags from Company
    • Estimate Company Enrichment Job
    • Create Company Enrichment Job
    • Get Company Enrichment Job Status
  • Contacts
    • Get Contact Details
    • Update a Contact
    • Retrieve Contacts
    • Search Contacts
    • Add Contact to Lists
    • Remove Contact from Lists
    • Estimate Find Contact Data Job
    • Create Find Contact Data Job
    • Get Find Contact Data Job Status
  • Web Visits
    • How to Create Custom Feed
    • Custom Feed - Filter Reference
    • Search Web Visits
    • Retrieve Custom Feeds
    • Create a Custom Feed
    • Get Custom Feed Details
    • Update Custom Feed
    • Delete a Custom Feed
    • Retrieve Custom Feeds Folders
    • Retrieve Web Visits Tracker Script
    • Retrieve Visitor Companies
  • Campaigns
    • Retrieve Campaigns
    • Get Campaign Details
    • Update Campaign
    • Retrieve Campaign Stats
  • IP
    • Enrich Company IP Address
  • Buyer Personas
    • Retrieve Buyer Personas
    • Create a Buyer Persona
    • Get Buyer Persona Details
    • Update a Buyer Persona
    • Delete a Buyer Persona
  • Ideal Customer Profiles
    • Retrieve Ideal Customer Profiles
    • Create an Ideal Customer Profile
    • Get Ideal Customer Profile Details
    • Update an Ideal Customer Profile
    • Delete an Ideal Customer Profile
    • Retrieve Company ICP Matches
  • Tags
    • Retrieve Tags
      GET
    • Create Tag
      POST
    • Get Tag Details
      GET
    • Update Tag
      PATCH
    • Delete Tag
      DELETE
    • Create Batch Add Tags Job
      POST
    • Get Batch Add Tags Job
      GET
    • Create Batch Remove Tags Job
      POST
    • Get Batch Remove Tags Job
      GET
  • Lists
    • Retrieve Lists
    • Create a List
    • Get List Details
    • Update List
    • Delete List
    • Retrieve List Items
    • Retrieve Company List Memberships
    • Retrieve Contact List Memberships
    • Create Batch Add to List Job
    • Get Batch Add to List Job
    • Create Batch Remove from List Job
    • Get Batch Remove from List Job
  • Custom Fields
    • Retrieve Custom Fields
    • Create Custom Field
    • Get Custom Field Details
    • Update Custom Field
    • Delete Custom Field
  • Users
    • Get Current User
  • Usage
    • Get Endpoints Usage
  • Workflows
    • Retrieve Workflows
    • Create Workflow
    • Retrieve Workflow Action Definitions
    • Retrieve Workflow Trigger Definitions
    • Retrieve Workflow Templates
    • Get Workflow Details
    • Update Workflow
  • Reference Data
    • Get Geo Suggestions
    • Get Countries with Regions
  • Schemas
    • AccountCompanyV1
    • AccountV1
    • AccountSummaryV1
    • CompanyV1
    • ErrorObjectV1
    • ICPV1
    • CompanyFinancialsV1
    • IpAddressExtendedV1
    • UserV1
    • CompaniesAdvancedSearchFilterItem
    • ContactFilterGroupsV1
    • BuyerPersonaV1
    • ContactV1
    • EnrichmentJobV1
    • GeoSuggestionV1
    • ContactSummaryV1
    • MaskedContactSummaryV1
    • TagV1
    • ListV1
    • IcpRequestV1
    • VisitLocationV1
    • BuyerPersonaRequestV1
    • WebVisitV1
    • BatchAddTagsJobV1
    • BatchRemoveTagsJobV1
    • CRMUserV1
    • CRMOrganizationV1
    • EnrichedIpV1
    • CRMContactV1
    • CRMLeadV1
    • CRMConnectionV1
    • CustomFeedRequestV1
    • CRMSuggestionV1
    • CRMGroupConnectionV1
    • WorkflowV1
    • WorkflowActionDefinitionV1
    • CompanyIpV1
    • WorkflowTriggerDefinitionV1
    • WorkflowTemplateV1
    • SignalV1
    • CompanySummaryV1
    • MaskedCompanySummaryV1
    • CompanyMatchV1
    • CountryV1
    • FindContactDataJobV1
    • BatchAddToListJobV1
    • CustomFieldV1
    • BatchRemoveFromListJobV1
    • CustomFeedV1
    • CampaignSettingsV1
    • CampaignSummaryV1
    • CampaignLocationV1
    • CampaignV1
    • CampaignStatsV1
    • IpLocationV1
    • NetworkV1
    • ApiUsageV1
    • CustomFeedFolderV1
    • WebVisitsTrackerScriptV1
    • LocationV1
    • CompanyLocationV1
  1. Tags

Create Batch Add Tags Job

POST
/v1/tags/batch-add-tags-jobs
Schedule an asynchronous job that adds the tags in data.attributes.tags to a set of companies. Every tag is added to every selected company. The companies are supplied either as an explicit items array (up to 100 items per request), or as an advanced_search selection that is resolved into companies (up to 100,000) when the job runs. To remove tags, use POST /v1/tags/batch-remove-tags-jobs — adding and removing are separate jobs.
Returns 202 Accepted with a job handle. Poll GET /v1/tags/batch-add-tags-jobs/{job_id} to observe progress and the outcome summary.
Credit Note: Adding tags does not consume credits.
INFO
Requires the companies:write OAuth2 scope.

Request

Authorization
API Key
Add parameter in header
X-Api-Key
Example:
X-Api-Key: ********************
or
Query Params

Body Params application/jsonRequired

Examples
{
    "data": {
        "type": "batch_add_tags_job",
        "attributes": {
            "tags": [
                {
                    "type": "tag",
                    "id": "dd11fc370098e78e"
                },
                {
                    "type": "tag",
                    "id": "8bb95c4d8e7c5fd2"
                }
            ],
            "items": [
                {
                    "type": "company",
                    "id": "159001425"
                },
                {
                    "type": "company",
                    "id": "159001426"
                }
            ]
        }
    }
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
cURL
curl --location 'https://api.leadfeeder.com/v1/tags/batch-add-tags-jobs?account_id=123456' \
--header 'X-Api-Key: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
    "data": {
        "type": "batch_add_tags_job",
        "attributes": {
            "tags": [
                {
                    "type": "tag",
                    "id": "dd11fc370098e78e"
                },
                {
                    "type": "tag",
                    "id": "8bb95c4d8e7c5fd2"
                }
            ],
            "items": [
                {
                    "type": "company",
                    "id": "159001425"
                },
                {
                    "type": "company",
                    "id": "159001426"
                }
            ]
        }
    }
}'

Responses

🟢202Accepted
application/json
Batch add-tags job accepted and enqueued
Bodyapplication/json

Example
{
    "data": {
        "type": "batch_add_tags_job",
        "id": "job_550e8400-e29b-41d4-a716-446655440000",
        "attributes": {
            "status": "running",
            "configuration": {
                "tags": [
                    {
                        "type": "tag",
                        "id": "dd11fc370098e78e"
                    },
                    {
                        "type": "tag",
                        "id": "8bb95c4d8e7c5fd2"
                    }
                ],
                "items": [
                    {
                        "type": "company",
                        "id": "159001425"
                    },
                    {
                        "type": "company",
                        "id": "159001426"
                    }
                ]
            },
            "created_at": "2026-05-13T12:00:00Z",
            "completed_at": null
        }
    },
    "meta": {
        "request_id": "cf054205-dd8c-4473-8689-07c30fe0789f"
    }
}
🟠400Bad Request
🟠401Unauthorized
🟠403Forbidden
🟠422Parameter Error
🟠429
🔴500Server Error
🔴504Gateway Timeout
Modified at 2026-08-31 12:06:53
Previous
Delete Tag
Next
Get Batch Add Tags Job
Built with